%MAT_TrainingEstimation_170626_WIP

subj = 'JQK_Test_170704_v1';

%% add PTB

addpath(genpath('/Users/Shared/Psychtoolbox/'));

%% practice MAT task

pn.workingFolder = '/Volumes/fb-lip/LNDG/Julian/Projects/DYNSAT/C_Paradigm/MAT_V2/';

addpath(genpath([pn.workingFolder, 'functions/']));
addpath(genpath([pn.workingFolder, 'dotsx/']));

addpath(genpath('/Volumes/fb-lip/LNDG/Julian/Projects/DYNSAT/C_Paradigm/Z_tools/'));

% staircase parameters

P.PM.priorAlphaRange = .5:.02:.8;
P.PM.stimRange = .5:.01:.8; % only allow values in range from 50 to 80%
P.PM.numtrials = 30;
P.PM.gamma = 0.5; % assumed chance level
P.PM.priorLambdaRange = .2;

Screen('Preference', 'SkipSyncTests', 1);

dotInfo = createDotInfo_JQK_170327;
dotInfo.dataDir = [pn.workingFolder, 'data/'];

cursubj = [subj, '_practice'];
DEBUG = 1; opacity = 1;
%MAT_practice_170626_WIP(dotInfo, cursubj, 0, DEBUG, opacity, P)

MAT_practice_CompleteOnly_170704_WIP(dotInfo, cursubj, 0, DEBUG, opacity, P)